Redmine - Defect #11244

Attachment Error 500 after upgrade to 1.4.4
2012-06-23 07:38 - Jonathan Himbing

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Just upgraded to 1.4.4 and can't able to download attachment already.
Trace below.

Processing AttachmentsController#download (for 112.210.47.226 at 2012-06-23 00:36:34)

[GET]

Parameters: {"action"=>"download", "id"=>"5677", "filename"=>"How_to_Write_Test_Cases.ppt",

troller"=>"attachments"}
app/models/attachment.rb:53:1in ‘container'
app/models/attachment.rb:150:in “project'
app/controllers/attachments_controller.rb:101:in "~ find_project'
lib/phusion_passenger/rack/request_handler.rb:96:in 'process_request'
lib/phusion_passenger/abstract_request_handler.rb:513:in "“accept_and_process_

lib/phusion_passenger/abstract_request_handler.rb:274:in ‘main_loop'
lib/phusion_passenger/classic_rails/application_spawner.rb:321:in "start_requ

lib/phusion_passenger/classic_rails/application_spawner.rb:275:in "send'
lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spa

lib/phusion_passenger/utils.rb:479:in 'safe_fork'
lib/phusion_passenger/classic_rails/application_spawner.rb:270:in "~ handle_spa

lib/phusion_passenger/abstract_server.rb:357:in "_ _send_ '
lib/phusion_passenger/abstract_server.rb:357:in "server_main_loop'
lib/phusion_passenger/abstract_server.rb:206:in "~ start_synchronously'
lib/phusion_passenger/abstract_server.rb:180:in "start'
lib/phusion_passenger/classic_rails/application_spawner.rb:149:in "start'
lib/phusion_passenger/spawn_manager.rb:219:in 'spawn_rails_application'
lib/phusion_passenger/abstract_server_collection.rb:132:in " lookup_or_add'
lib/phusion_passenger/spawn_manager.rb:214:in "~ spawn_rails_application’
lib/phusion_passenger/abstract_server_collection.rb:82:in "synchronize'
lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
lib/phusion_passenger/spawn_manager.rb:213:in "“spawn_rails_application'
lib/phusion_passenger/spawn_manager.rb:132:in " spawn_application'’
lib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application'
lib/phusion_passenger/abstract_server.rb:357:in "_ send_ '
lib/phusion_passenger/abstract_server.rb:357:in "“server_main_loop'
lib/phusion_passenger/abstract_server.rb:206:in " start_synchronously'
helper-scripts/passenger—-spawn-server: 99

History

#1 - 2012-06-25 03:40 - Jonathan Himbing

- Status changed from New to Resolved

This cause of the redmine_xapian.

#2 - 2012-06-25 09:18 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
